# List all data backfill jobs Endpoint: GET /v1/uno/data-backfill/listjobs Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. - `jobs` (array) - `jobs.id` (string) Job ID - `jobs.importType` (string) The data backfill job type Enum: "ProductRatePlanCharge", "RatePlanCharge", "InvoiceDetail", "MemoDetail", "InvoiceItemAdjustment" - `jobs.uploadedFileId` (string) ID of the uploaded file - `jobs.uploadedFileName` (string) Name of the uploaded file - `jobs.uploadedFileUrl` (string) URL of the uploaded file. You can download the uploaded file via this url. - `jobs.uploadedFileSize` (string) Size of the uploaded file - `jobs.inputFileSize` (integer) Size of the uploaded file, in the int64 format - `jobs.outputSize` (string) Size of the output file. - `jobs.outputType` (string) Type of the output file. - `jobs.outputFileSize` (integer) Size of the output file, in the int64 format. - `jobs.resultFileId` (string) ID of the output result file that you can download when a data backfill job is completed. - `jobs.resultFileName` (string) Name of the result file that you can download when a data backfill job is completed - `jobs.resultFileUrl` (string) URL of the result file that you can download when a data backfill job is completed. You can download the result file via this URL. In the result file, you can see the data that you uploaded and the result for each record in the Success column of the file. For the record that fails to be updated, you can see the reason for failure in the Error Message column of the file. - `jobs.uploadedBy` (string) The user who uploads the file - `jobs.uploadedOn` (string) The date and time when the file is uploaded - `jobs.completedOn` (string) The date and time when the data backfill action is completed - `jobs.startedProcessingOn` (string) The date and time when the data backfill action is started - `jobs.totalCount` (integer) The total count of the data records to backfill - `jobs.failedCount` (integer) The count of the data records that failed to be backfilled - `jobs.status` (string) The status of the data backfill job Enum: "Pending", "Processing", "Completed", "Canceled", "Failed", "Stopping", "Stopped" - `jobs.failureMessage` (string) Message for the failure - `jobs.processedCount` (integer) The count of the data records that are being processed - `jobs.successCount` (integer) The count of the data records that are successfully backfilled - `jobs.remainingTime` (integer) The remaining time for the data backfill job, in the int64 format - `jobs.remainingTimeText` (string) The remaining time for the data backfill job, in the text format - `jobs.completedPercentage` (integer) The percentage of the completed data records ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.